commit:     cf60111d5e2e8cb3cf5de3ac78570f40cfd5e59f
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Mar  4 13:03:42 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Mar  4 14:55:51 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cf60111d

xfce-extra/xfdashboard: Bump to 0.8.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 xfce-extra/xfdashboard/Manifest                 |  1 +
 xfce-extra/xfdashboard/xfdashboard-0.8.1.ebuild | 45 +++++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/xfce-extra/xfdashboard/Manifest b/xfce-extra/xfdashboard/Manifest
index fca3f0c6d06..d9c2728539e 100644
--- a/xfce-extra/xfdashboard/Manifest
+++ b/xfce-extra/xfdashboard/Manifest
@@ -1 +1,2 @@
 DIST xfdashboard-0.8.0.tar.bz2 3341109 BLAKE2B 
8787bd5069d8c4781c1b728e051e344dab227c847faf0762595079556a206b61ba4e6e45cc967f0f7267b41125bee62ff5fdf05cbbc7b3663fa785ad1fdddc16
 SHA512 
3bbddf079f129c8f32b764f61c75cc4efac52dff752375bdafd5537ad9c9435a5b12ead51176a684fca8fdc24f5bf44d774d8d3d6eae6942b266e1d0e4e89d62
+DIST xfdashboard-0.8.1.tar.bz2 3365273 BLAKE2B 
1ab93a684f680a813fa32ca0ef610835d17aa9a854fc114298762abf92ac82f49a026ce123dacd03966667ea64ff31b05396faf94db4ea5f4ffb63e8a8f1b016
 SHA512 
235b5e0c4b9fd58a8b0078e4a5432ed84366865d8db0a248d377a593d31304fe68d48138c1dd9408abc02ed59b24542d5debaee3288a5fa0bf080e84632bf2fb

diff --git a/xfce-extra/xfdashboard/xfdashboard-0.8.1.ebuild 
b/xfce-extra/xfdashboard/xfdashboard-0.8.1.ebuild
new file mode 100644
index 00000000000..2605d199843
--- /dev/null
+++ b/xfce-extra/xfdashboard/xfdashboard-0.8.1.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit xdg-utils
+
+DESCRIPTION="Maybe a GNOME shell like dashboard for the Xfce desktop 
environment"
+HOMEPAGE="https://goodies.xfce.org/projects/applications/xfdashboard/start";
+SRC_URI="https://archive.xfce.org/src/apps/${PN}/${PV%.*}/${P}.tar.bz2";
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND=">=dev-libs/glib-2.38:2
+       >=x11-libs/gtk+-3.2:3
+       >=media-libs/clutter-1.12:1.0=[gtk]
+       >=x11-libs/libwnck-3:3=
+       x11-libs/libX11:=
+       x11-libs/libXcomposite:=
+       x11-libs/libXdamage:=
+       x11-libs/libXinerama:=
+       >=xfce-base/garcon-0.2.0:=
+       >=xfce-base/libxfce4ui-4.10:=
+       >=xfce-base/libxfce4util-4.10:=
+       >=xfce-base/xfconf-4.13:="
+DEPEND="${RDEPEND}"
+BDEPEND="
+       dev-util/intltool
+       virtual/pkgconfig"
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       xdg_icon_cache_update
+}

Reply via email to